__gnu_cxx::_Rope_char_ptr_proxy(3)

NAME
__gnu_cxx::_Rope_char_ptr_proxy -

SYNOPSIS

Detailed Description

  template<class _CharT, class _Alloc> class __gnu_cxx::_Rope_char_ptr_proxy< _CharT, _Alloc >

Definition at line 982 of file rope.

  Public Member Functions
_Rope_char_ptr_proxy (_CharT *__x)
_Rope_char_ptr_proxy ()
_Rope_char_ptr_proxy (const _Rope_char_ptr_proxy &__x)
_Rope_char_ptr_proxy (const _Rope_char_ref_proxy< _CharT, _Alloc > &__x)
_Rope_char_ref_proxy< _CharT, _Alloc > operator * () const
_Rope_char_ptr_proxy & operator= (const _Rope_char_ptr_proxy &__x)

  Friends
class _Rope_char_ref_proxy< _CharT, _Alloc >
template<class _CharT2, class _Alloc2> bool operator== (const _Rope_char_ptr_proxy< _CharT2, _Alloc2 > &__x, const _Rope_char_ptr_proxy< _CharT2, _Alloc2 > &__y)

Author

Generated automatically by Doxygen for libstdc++ from the source code.